package com.yh.saas.plugin.yiliangyiyun.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.yh.saas.plugin.yiliangyiyun.entity.CustomerInfo;
import com.baomidou.mybatisplus.service.IService;

import java.util.List;

/**
 * <p>
 * 客户信息 服务类
 * </p>
 *
 * @author Gongdc
 * @since 2021-07-21
 */
public interface ICustomerInfoService extends IService<CustomerInfo> {
    /**
     * 客户管理列表
     * @param customerInfo
     * @return
     */
    Page<CustomerInfo> selectCustomerInfo(CustomerInfo customerInfo);
    /**
     * 增加\退回定金
     * @param customerInfo
     * @return
     */
    String editCustomerInfo(CustomerInfo customerInfo);
    /**
     * 设置默认定金比例
     * @param compId
     */
    void installDepositRatio(String compId,Float depositRatio);
    /**
     * 查看客户信息
     * @param id
     */
    CustomerInfo getCustomerInfo(String id);
    /**
     * 添加客户信息
     *
     * @param customerInfo
     */
    String addCustomerInfo(CustomerInfo customerInfo);
    /**
     * 编辑客户信息
     * @param customerInfo
     */
    String modifyCustomerInfo(CustomerInfo customerInfo);
    /**
     * 删除客户信息
     * @param id
     */
    void deleteCustomerInfo(String id);
    /**
     * 客户下拉列表
     * @param compId
     * @return
     */
    List<CustomerInfo> customerList(String compId);
    /**
     * 查看客户账户信息
     * @param customerInfo
     */
    CustomerInfo getPayeeInfo(CustomerInfo customerInfo);
}
